Bug 604719 - Python deprecation warnings in up2date_client/messageWindow.py
Summary: Python deprecation warnings in up2date_client/messageWindow.py
Status: CLOSED DUPLICATE of bug 602609
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: rhn-client-tools
Version: 6.0
Hardware: All
OS: Linux
low
low
Target Milestone: rc
: ---
Assignee: Milan Zázrivec
QA Contact: Red Hat Satellite QA List
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-06-16 15:11 UTC by Garik Khachikyan
Modified: 2015-01-04 21:57 UTC (History)
1 user (show)

(edit)
Clone Of:
(edit)
Last Closed: 2010-06-16 19:30:55 UTC


Attachments (Terms of Use)

Description Garik Khachikyan 2010-06-16 15:11:10 UTC
Description of problem:
There is deprecation warning to use set_markup() instead of self.dialog.label.set_use_markup(<boolean>)

Version-Release number of selected component (if applicable):
rhn-client-tools-1.0.0-21.el6.noarch
rhn-setup-gnome-1.0.0-21.el6.noarch
python-2.6.2-9.el6.<arch>

How reproducible:
Always on registration of the system when there is no entitlements available (one need to switch debug mode to level 3)

Steps to Reproduce:
1. Switch debugLevel=3 in /usr/sysconfig/rhn/up2date
2. Register the system to Hosted with an account having no more entitlements for it.
3.
  
Actual results:
python deprecation warning

Expected results:
no warnings

Additional info:

Comment 1 Milan Zázrivec 2010-06-16 19:30:55 UTC

*** This bug has been marked as a duplicate of bug 602609 ***


Note You need to log in before you can comment on or make changes to this bug.